#!/bin/sh
echo 'name: snap-core
version: 0.9.3.1
id: snap-core-0.9.3.1-5dec0d5a9b6814635e33624432bc0565

license: BSD3
copyright:
maintainer: snap@snapframework.com
stability:
homepage: http://snapframework.com/
package-url:
synopsis: Snap: A Haskell Web Framework (core interfaces and types)
description: Snap is a simple and fast web development framework and server written in
             Haskell. For more information or to download the latest version, you can
             visit the Snap project website at <http://snapframework.com/>.
             .
             This library contains the core definitions and types for the Snap framework,
             including:
             .
             1. Primitive types and functions for HTTP (requests, responses, cookies,
             post/query parameters, etc)
             .
             2. Type aliases and helper functions for Iteratee I/O
             .
             3. A monad for programming web handlers called \"Snap\", which allows:
             .
             * Stateful access to the HTTP request and response objects
             .
             * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
             to handle requests and chaining handlers together
             .
             * Early termination of the computation if you know early what you want
             to return and want to prevent further monadic processing
             .
             /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core",
             some iteratee utilities are in "Snap.Iteratee".
category: Web, Snap
author: James Sanders, Shu-yu Guo, Gregory Collins, Doug Beardsley
exposed: True
exposed-modules: Snap.Core Snap.Types Snap.Iteratee
                 Snap.Internal.Debug Snap.Internal.Exceptions
                 Snap.Internal.Http.Types Snap.Internal.Iteratee.Debug
                 Snap.Internal.Parsing Snap.Test Snap.Types.Headers
                 Snap.Util.FileServe Snap.Util.FileUploads Snap.Util.GZip
                 Snap.Util.Proxy Snap.Util.Readable
hidden-modules: Snap.Internal.Instances
                Snap.Internal.Iteratee.BoyerMooreHorspool
                Snap.Internal.Parsing.FastSet Snap.Internal.Routing
                Snap.Internal.Types Snap.Internal.Test.RequestBuilder
                Snap.Internal.Test.Assertions
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/snap-core-0.9.3.1
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/snap-core-0.9.3.1
              /usr/local/lib
hs-libraries: HSsnap-core-0.9.3.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.5.1-3a320959e06d702551395cbe60e9b4d5
         MonadCatchIO-transformers-0.3.0.0-76541279080d15c89bf5cb94558aa9e1
         attoparsec-0.10.4.0-c391286d724823eaea3d4278acc0acc0
         attoparsec-enumerator-0.3.1-b7af2f83a609969e1eecbb40c5dd7aa9
         base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         blaze-builder-0.3.1.0-316b0e68f80ee32ff786c8cf5345f501
         blaze-builder-enumerator-0.2.0.5-b7833424aff1dbefbd69179c9ae3173c
         bytestring-0.9.2.1-4cc8a513193316dfe32ba33f47609c9d
         case-insensitive-1.0-bc91034ba9f28a92418d6092be6d2ad8
         containers-0.4.2.1-75f143aa39a3e77a1ce2300025bdd8ce
         deepseq-1.3.0.0-c26e15897417ecd448742528253d68f6
         directory-1.1.0.2-9e375ee7bfb1a0ae28bfd926af73e15a
         enumerator-0.4.19-27ff248ca60645d7b3b73b44ac567b75
         filepath-1.3.0.0-f998e5510c76a98913f57b14b4f16c57
         mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29
         old-locale-1.0.0.4-5e45cabd3b4fdcad9e353ea3845f5ef7
         random-1.0.1.1-c58cc32eea7e1ff248e803433efc4a71
         regex-posix-0.95.2-62c27af122347b4aae6289df5cd7f9ee
         text-0.11.2.3-116e588a2afe9f305204001245768a0d
         time-1.4-d61e2caaa0486655b4e141dc277ed49f
         unix-compat-0.4.1.0-b6bccb25958d04938e02215a60a7da65
         unordered-containers-0.2.3.0-eea23be98f84f4fcc4f43b6a5a4ec815
         vector-0.10.0.1-3450daae3d9f2092020075d05481123c
         zlib-enum-0.2.3-e2db025f4a1137c293b8f9bfbd169b02
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/snap-core-0.9.3.1/html/snap-core.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/snap-core-0.9.3.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
